Bug 189486 - [PATCH] sysutils/automount: disable EXFAT by default
Summary: [PATCH] sysutils/automount: disable EXFAT by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-08 23:10 UTC by Dmitry Marakasov
Modified: 2014-10-07 12:15 UTC (History)
2 users (show)

See Also:


Attachments
automount-1.4.3.patch (1.16 KB, patch)
2014-05-08 23:10 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2014-05-08 23:10:00 UTC
- Use new options features
- Disable EXFAT by default: fusefs-exfat has license restrictions which prevents distribution it package and, while EXFAT option is enabled in automount, would prevent automount package distribution as well. Disabling it by default would fix this, still allowing users building from ports to enable exfat option (or install fusefs-exfat by hand)

Port maintainer (vermaden@interia.pl) is cc'd.

Generated with FreeBSD Port Tools 1.02 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-05-08 23:10:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-05-08 23:10:08 UTC
Maintainer of sysutils/automount,

Please note that PR ports/189486 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/189486

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Slawomir Wojciech Wojtczak 2014-05-09 06:07:43 UTC
There is error in the sysutils/fusefs-exfat port description, the license
for the exFAT code is GPL2, check here - https://code.google.com/p/exfat/

Regards,
vermaden
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2014-05-13 06:05:45 UTC
State Changed
From-To: feedback->feedback

adding info from misfiled PR ports/189492. 


Comment 5 Mark Linimon freebsd_committer freebsd_triage 2014-05-13 06:05:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-ports-bugs
Comment 6 John Marino freebsd_committer 2014-06-18 22:57:20 UTC
kick it back to amdmi
Comment 7 Dmitry Marakasov freebsd_committer 2014-09-12 19:10:20 UTC
Alex, any comments on this?
Comment 8 Oleksii Samorukov freebsd_committer 2014-09-14 08:52:31 UTC
Sure.

1) I am ok to change the license.
2) I am against disabling package build of the exfat. I am very tired to return to this discussion 100th time (yeah) and i personally think that someone have nothing to do. Few points from the past discussions on the net:

a) other systems, including well-known like Debian, OpenSUSE and Gentoo are distributing binary packages and i never heard about any problems with it.
b) I never heard any copyright problems or requests from MS to remove this binary packages. I don't see any points to be "proactive" and do anything before getting any requests from the patent holder. Because using this logic we should remove libav, FAT32 kernel implementation and tonn of other staff potentially hurts some other patents. 
c) there are at least few other, non-fuse, implementation publicly available. I also never heard about requests to remove them.

From what i see now that someone disabled distribution of the package w/o maintainer aprrover. Why do we need maintainers them? Please revert it back or remove me from the port maintainers, thank you.
Comment 9 Oleksii Samorukov freebsd_committer 2014-09-14 08:57:32 UTC
I submitted bug report against this crazy change, see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=193629
Comment 10 John Marino freebsd_committer 2014-09-14 09:13:48 UTC
amdmi3, see bug 193629

Alex has stated either revert or remove him as maintainer.  Since reversion is not going to happen since both core and portmgr are listed as approving the referenced change, the only thing left is to reset to port.  That PR is waiting for Alex to confirm that's really want he wants.
Comment 11 Dmitry Marakasov freebsd_committer 2014-09-15 18:25:33 UTC
Relevant for this PR is the fact that fusefs-exfat is restricted, not its maintainership, and as I can see from discussion, the port is going to stay restricted. Thus my original suggestion to make EXFAT option disabled by default in sysutils/automount still applies.

vermaden, any objections?
Comment 12 Slawomir Wojciech Wojtczak 2014-09-16 05:44:31 UTC
> vermaden, any objections?

Making exfat optional cripples the idea of binary packages and the whole PKG 'revolution'. Why again rebuild another packages at every update just to have it usable?

Same with ffmpeg (not enough codecs) and conky (no TTF). Same with lame for long time (no binary package) ... Even OpenBSD has the balls to include binary package of lame since I do no remember when ...

I am against making exfat optional, why we can have FAT/FAT32 and NTFS in base without a problem and suddenly we cannon have EXFAT even in the packages ...

This is not clear to me.

Regards,
vermaden
Comment 13 Oleksii Samorukov freebsd_committer 2014-09-19 19:15:15 UTC
(In reply to vermaden from comment #12)

> Same with ffmpeg (not enough codecs) and conky (no TTF). Same with lame for
> long time (no binary package) ... Even OpenBSD has the balls to include
> binary package of lame since I do no remember when ...
> 
> I am against making exfat optional, why we can have FAT/FAT32 and NTFS in
> base without a problem and suddenly we cannon have EXFAT even in the
> packages ...
Thank you for this, I also can't really get it.
Comment 14 Dmitry Marakasov freebsd_committer 2014-09-30 02:22:44 UTC
> Making exfat optional cripples the idea of binary packages and the whole PKG 'revolution'. Why again rebuild another packages at every update just to have it usable?
>
> Same with ffmpeg (not enough codecs) and conky (no TTF). Same with lame for long time (no binary package) ... Even OpenBSD has the balls to include binary package of lame since I do no remember when ...
>
> I am against making exfat optional, why we can have FAT/FAT32 and NTFS in base without a problem and suddenly we cannon have EXFAT even in the packages ...

This discussion is out of scope of this PR.

It's either <no package for automount at all>, or <package for automount without exfat support>, with a possibility to build exfat-enabled automount from ports.
Comment 15 Slawomir Wojciech Wojtczak 2014-09-30 06:56:50 UTC
> This discussion is out of scope of this PR.

Is it?

So why bother wasting time with this discussion if You will do what You want anyway?


Regards,
vermaden
Comment 16 Dmitry Marakasov freebsd_committer 2014-10-06 23:49:07 UTC
> Is it?

It is.

> So why bother wasting time with this discussion if You will do what You want anyway?

I won't, that's why I seek your approval. If you don't approve, the port stays with EXFAT default to ON and without package.
Comment 17 Oleksii Samorukov freebsd_committer 2014-10-07 07:00:07 UTC
Any chance to have some progress on https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=193629 ? This PR-s are related and progress on mine is stalled. And as i mentioned i never had an explanation why we have FAT/NTFS in Kernel and can't build exfat package. It is same vendor and absolutely same issue.
Comment 18 Slawomir Wojciech Wojtczak 2014-10-07 08:24:05 UTC
> I won't, that's why I seek your approval.
> If you don't approve, the port stays with EXFAT default to ON and without package.

Crippled package is better then none at all.

Anyone that would like to have FULL automount functionality will have to rebuild it anyway.

If exFAT is so different then FAT32/NFTS in terms of licensing then leave exFAT on OFF, let that pointless discussion become to an end.
Comment 19 Dmitry Marakasov freebsd_committer 2014-10-07 11:26:05 UTC
> Crippled package is better then none at all.

I take it as approval?
Comment 20 Slawomir Wojciech Wojtczak 2014-10-07 11:32:19 UTC
> I take it as approval?

Yes, its in the second part of my reply:

| If exFAT is so different then FAT32/NFTS in
| terms of licensing then leave exFAT on OFF,
| let that pointless discussion become to an end.
Comment 21 commit-hook freebsd_committer 2014-10-07 12:15:02 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Oct  7 12:14:43 UTC 2014
New revision: 370313
URL: https://svnweb.freebsd.org/changeset/ports/370313

Log:
  - Disable EXFAT by default to allow package building (not possible otherwise due to sysutils/fusefs-exfat licensing restrictions)
  - Use options helpers

  PR:		189486
  Submitted by:	amdmi3
  Approved by:	vermaden@interia.pl

Changes:
  head/sysutils/automount/Makefile